
QGIS Application - Bug report #3551

Selecting with mouse in table

2011-03-06 12:37 PM - andskog -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 13611

Description

Maybe not a bug, but when using the mouse to select a continuous array of records from any part of a table and to the top or bottom, by

clicking and dragging, one has to be careful to let go of the mouse button when mouse is on the first or last record. Otherwise, if letting go

outside the table, the selection won't show in the map.

Related issues:

Related to QGIS Application - Bug report # 3777: Attribute table record selec... Closed

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-02 05:08 AM - Nathan Woodrow

- Resolution set to invalid

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

No longer an issue.

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-11-20 04:32 AM - Médéric RIBREUX

- Resolution deleted (invalid)

- Status changed from Open to Feedback

Hello, bug triage...

this is stil an issue for QGIS 2.13. As a result, you can't select upward in the attribute table by clicking and dragging up (try it under MS Windows).
When I am at the bottom of the attribute table window, the selection stops. I need to refocus on the last line displayed in the attribute table and drag a little

bit upward or downward to keep the scrolling down (same behaviour in Debian). It is not the case for some other applications like LibreOffice Calc where

you can always go up and down when you are at the bottom or at the start of the cells table.

In QGIS, the selection in the attribute table should not require to shake the mouse. Perhaps a Qt parameter of the QTableView ?

#7 - 2015-12-12 03:03 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#8 - 2015-12-22 08:00 AM - Giovanni Manghi

- Operating System deleted (Windows)

- Status info deleted (0)

#9 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#10 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
